Name: libmlx5
Version: 1.0.2
Release: 2%{?dist}
Summary: Mellanox Connect-IB and ConnectX-4 InfiniBand HCAs User Space Driver
Provides: libibverbs-driver.%{_arch}
License: GPLv2 or BSD
Url: https://www.openfabrics.org/
# Git Url: http://git.openfabrics.org/?p=~yishaih/libmlx5.git
Source: https://www.openfabrics.org/downloads/mlx5/%{name}-%{version}.tar.gz
BuildRequires: libibverbs-devel >= 1.2.0
BuildRequires: valgrind-devel
# RDMA support in general is not available on s390 or s390x.
ExcludeArch: s390 s390x

%description
libmlx5 provides a device-specific user space driver for Mellanox
Connect-IB and ConnectX-4 HCAs for use with the libibverbs library.

%package static
Summary: Static version of the libmlx5 driver
Requires: %{name} = %{version}-%{release}

# Static version is needed for reasons related to performance on large scale
# clusters where every cycle counts.
%description static
Static version of libmlx5 that may be linked directly to an
application, which may be useful for debugging.

%prep
%setup -q

%build
%configure --with-valgrind
make CFLAGS="$CFLAGS -fno-strict-aliasing" %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
# Remove unpackaged files
rm -f %{buildroot}%{_libdir}/libmlx5.{la,so}

%files
%{_libdir}/libmlx5-rdmav2.so
%{_sysconfdir}/libibverbs.d/mlx5.driver
%doc AUTHORS README
%license COPYING

%files static
%{_libdir}/libmlx5.a

%changelog
* Wed Mar 2 2016 Kamal Heib <kheib@redhat.com> - 1.0.2-2
- Spec file cleanup, based on Fedora review.

* Wed Feb 3 2016 Kamal Heib <kheib@redhat.com> - 1.0.2-1
- Initial Packaging
